AMSERVICE(8)

NAME
amservice - run an amanda service on a client

SYNOPSIS

amservice [-f input_file [-s]] [-o configoption...] hostname auth service

DESCRIPTION

Amservice execute an Amanda service on a client. It can be used without amanda server configuration (amanda.conf and disklist). It can be used to check communication between a server and a client. Amservice reads stdin to capture the REQ packet to send to the client.

See the amanda(8) man page for more details about Amanda.

OPTIONS

hostname
    The hostname of the client.

auth
    The auth to use, one of: bsd, bsdudp, bsdtcp, ssh, rsh or krb5. The client must be configured with this auth.

service
    The amanda service to execute on the client. One of noop, selfcheck or sendsize.

-f input_file
    Use the file input_file instead of stdin to read the REQ packet from.

-s
    Redirect the first connected stream to stdin/stdout. The -f argument is required for the REQ packet, the REP packet is not printed on stdout.

-o configoption
    See the "CONFIGURATION OVERRIDE" section in amanda(8).

EXAMPLE

The noop service is easy to execute because it does not require a REQ packet:
amservice hostname bsdtcp noop < /dev/null

The example executes the noop service on the client using bsdtcp auth. This is useful for debugging connection problems. It print an OPTIONS line upon success.

It is more difficult to execute the selfcheck or sendsize service, as these require a valid REQ packet. If you have already uccessfully run amanda, you can find valid REQ packets in the amandad.*.debug files.

EXIT CODE
The exit code of amservice is one of:
 0  = success
 1  = error executing amandad on the client.

As amservice doesn't parse the REP packet, it can only detect failures in executing amandad on the client. amservice can exit with value 0 even if the user is not authorized to execute the service. An error message will be printed.

SEE ALSO

amanda(8), amanda(8), amcheck(8), amdump(8), amadmin(8)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHOR

Jean-Louis Martineau <martineau@zmanda.com>
    Zmanda, Inc. (http://www.zmanda.com)